Loading...
Searching...
No Matches
uhd_stream_args_t Struct Reference

A struct of parameters to construct a stream. More...

`#include <uhd/usrp/usrp.h>`

## Public Attributes

char * | cpu_format
| Format of host memory.
char * | otw_format
| Over-the-wire format.
char * | args
| Other stream args.
size_t * | channel_list
| Array that lists channels.
int | n_channels
| Number of channels.

## Detailed Description

A struct of parameters to construct a stream.

See uhd::stream_args_t for more details.

## Member Data Documentation

## args

char* uhd_stream_args_t::args

Other stream args.

## channel_list

size_t* uhd_stream_args_t::channel_list

Array that lists channels.

## cpu_format

char* uhd_stream_args_t::cpu_format

Format of host memory.

## n_channels

int uhd_stream_args_t::n_channels

Number of channels.

## otw_format

char* uhd_stream_args_t::otw_format

Over-the-wire format.

The documentation for this struct was generated from the following file:

- usrp.h